import { post, upload, uploads } from '../../utils/request';

/** 获取隐患确认的列表数据 */
export const getHiddenDangerConfirmList = (params) => post('/app/hidden/listGwj', params);

/** 隐患确认提交 */
export const setHiddenConfirmSubmit = (params) =>
  post("/app/hidden/confirm", params);

/** 隐患列表 */
export const getHiddenList = (params) => post('/app/hidden/list', params);

/** 特殊处置审核列表 */
export const getHiddenSpecialDisposalReviewList = (params) =>
  post("/app/hiddenexamine/list", params);

/** 特殊处置审核提交 */
export const setHiddenSpecialDisposalReviewSubmit = (params) =>
  post("/app/hiddenexamine/specialExamine", params);

/** 延期审核提交 */
export const setHiddenDelayReviewSubmit = (params) =>
  post("/app/hiddenexamine/delayedExamine", params);

/** 当前人是否能验收当前隐患 */
export const getHiddenAcceptanceCurrentPersonnelIsCheck = (params) =>
  post("/app/hidden/isChek", params);

/** 隐患验收提交 */
export const setHiddenAcceptanceSubmit = (params) =>
  post("/app/hidden/check", params);

/** 隐患删除 */
export const setHiddenDelete = (params) => post("/app/hidden/delete", params);
